Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCharRef Class Reference

The QCharRef class is a helper class for QString. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qstring.h>`

List of all member functions.

## Detailed Description

The QCharRef class is a helper class for QString.

When you get an object of type QCharRef, if you can assign to it, the assignment will apply to the character in the string from which you got the reference. That is its whole purpose in life. The QCharRef becomes invalid once modifications are made to the string: if you want to keep the character, copy it into a QChar.

Most of the QChar member functions also exist in QCharRef. However, they are not explicitly documented here.

See also QString::operator[](), QString::at(), QChar, and Text Related Classes.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.